<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUD_Polymorphism" time="0.047" tests="3" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="singleTable" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUD_Polymorphism" time="0.015">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Pet(name varchar(255) not null, race varchar(255) not null, age integer not null, catBreed integer, dogBreed integer, DTYPE varchar(255) not null, unique (name, race, age))
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Pet(catBreed, name, race, age, DTYPE) values (?, ?, ?, ?, ?) | {1={Pet.catBreed=Persian, Pet.name=Pluto, Pet.race=Dog, Pet.DTYPE=Pet, Pet.age=4}}
2026-05-19 05:31:23	DEBUG	SingleTablePolymorphismPersister	selecting entities [PetId{name='Pluto', race='Dog', age=4}]
2026-05-19 05:31:23	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND [org.codefilarete.stalactite.query.model.operator.TupleIn@3819e94a]], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:23	TRACE	SQLOperation	select Pet.name as Pet_name, Pet.race as Pet_race, Pet.age as Pet_age, Pet.catBreed as Pet_catBreed, Pet.dogBreed as Pet_dogBreed, Pet.DTYPE as Pet_DTYPE from Pet where (Pet.name, Pet.race, Pet.age) in ((?, ?, ?)) | {1=Pluto, 2=Dog, 3=4}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.SingleTableRootJoinNode$SingleTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:23	DEBUG	SingleTablePolymorphismPersister	selecting entities [PetId{name='Pluto', race='Dog', age=4}]
2026-05-19 05:31:23	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND [org.codefilarete.stalactite.query.model.operator.TupleIn@69acf3f2]], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:23	TRACE	SQLOperation	select Pet.name as Pet_name, Pet.race as Pet_race, Pet.age as Pet_age, Pet.catBreed as Pet_catBreed, Pet.dogBreed as Pet_dogBreed, Pet.DTYPE as Pet_DTYPE from Pet where (Pet.name, Pet.race, Pet.age) in ((?, ?, ?)) | {1=Pluto, 2=Dog, 3=4}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.SingleTableRootJoinNode$SingleTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Pet where name = ? and race = ? and age = ? | {1={Pet.name=Pluto, Pet.race=Dog, Pet.age=4}}
2026-05-19 05:31:23	TRACE	SQLOperation	select name from Pet | {}
2026-05-19 05:31:23	TRACE	SQLOperation	select catBreed from Pet | {}
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Pet where (name, race, age) in ((?, ?, ?)) | {Pet.name=Pluto, Pet.race=Dog, Pet.age=4}
2026-05-19 05:31:23	TRACE	SQLOperation	select name from Pet | {}
2026-05-19 05:31:23	TRACE	SQLOperation	select catBreed from Pet | {}
]]></system-out>
  </testcase>
  <testcase name="tablePerClass" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUD_Polymorphism" time="0.014">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Cat(catBreed integer, name varchar(255) not null, race varchar(255) not null, age integer not null, unique (name, race, age))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Dog(dogBreed integer, name varchar(255) not null, race varchar(255) not null, age integer not null, unique (name, race, age))
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Cat(catBreed, name, race, age) values (?, ?, ?, ?) | {1={Cat.race=Dog, Cat.catBreed=Persian, Cat.name=Pluto, Cat.age=4}}
2026-05-19 05:31:23	DEBUG	TablePerClassPolymorphismPersister	selecting entities [PetId{name='Pluto', race='Dog', age=4}]
2026-05-19 05:31:23	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND [org.codefilarete.stalactite.query.model.operator.TupleIn@504a659d]], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:23	TRACE	SQLOperation	select Pet.name as Pet_name, Pet.race as Pet_race, Pet.age as Pet_age, Pet.DISCRIMINATOR as Pet_DISCRIMINATOR, Cat.catBreed as Cat_catBreed, Cat.name as Cat_name, Cat.race as Cat_race, Cat.age as Cat_age, Dog.dogBreed as Dog_dogBreed, Dog.name as Dog_name, Dog.race as Dog_race, Dog.age as Dog_age from (select Cat.name as name, Cat.race as race, Cat.age as age, 'Cat' as DISCRIMINATOR from Cat union all select Dog.name as name, Dog.race as race, Dog.age as age, 'Dog' as DISCRIMINATOR from Dog) as Pet left outer join Cat as Cat on Pet.name = Cat.name and Pet.race = Cat.race and Pet.age = Cat.age left outer join Dog as Dog on Pet.name = Dog.name and Pet.race = Dog.race and Pet.age = Dog.age where (Pet.name, Pet.race, Pet.age) in ((?, ?, ?)) | {1=Pluto, 2=Dog, 3=4}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.m.c.Pet$Cat#PetId{name='Pluto', race='Dog', age=4}
2026-05-19 05:31:23	DEBUG	TablePerClassPolymorphismPersister	selecting entities [PetId{name='Pluto', race='Dog', age=4}]
2026-05-19 05:31:23	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND [org.codefilarete.stalactite.query.model.operator.TupleIn@52182684]], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:23	TRACE	SQLOperation	select Pet.name as Pet_name, Pet.race as Pet_race, Pet.age as Pet_age, Pet.DISCRIMINATOR as Pet_DISCRIMINATOR, Cat.catBreed as Cat_catBreed, Cat.name as Cat_name, Cat.race as Cat_race, Cat.age as Cat_age, Dog.dogBreed as Dog_dogBreed, Dog.name as Dog_name, Dog.race as Dog_race, Dog.age as Dog_age from (select Cat.name as name, Cat.race as race, Cat.age as age, 'Cat' as DISCRIMINATOR from Cat union all select Dog.name as name, Dog.race as race, Dog.age as age, 'Dog' as DISCRIMINATOR from Dog) as Pet left outer join Cat as Cat on Pet.name = Cat.name and Pet.race = Cat.race and Pet.age = Cat.age left outer join Dog as Dog on Pet.name = Dog.name and Pet.race = Dog.race and Pet.age = Dog.age where (Pet.name, Pet.race, Pet.age) in ((?, ?, ?)) | {1=Pluto, 2=Dog, 3=4}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.TablePerClassRootJoinNode$TablePerClassPolymorphicJoinRootRowConsumer
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.m.c.Pet$Cat#PetId{name='Pluto', race='Dog', age=4}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Cat where name = ? and race = ? and age = ? | {1={Cat.race=Dog, Cat.name=Pluto, Cat.age=4}}
2026-05-19 05:31:23	TRACE	SQLOperation	select catBreed from Cat | {}
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Cat where (name, race, age) in ((?, ?, ?)) | {Cat.race=Dog, Cat.name=Pluto, Cat.age=4}
2026-05-19 05:31:23	TRACE	SQLOperation	select catBreed from Cat | {}
]]></system-out>
  </testcase>
  <testcase name="joinedTables" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportCompositeKeyTest$CRUD_Polymorphism" time="0.017">
    <system-out><![CDATA[2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Cat(catBreed integer, name varchar(255) not null, race varchar(255) not null, age integer not null, unique (name, race, age))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Dog(dogBreed integer, name varchar(255) not null, race varchar(255) not null, age integer not null, unique (name, race, age))
2026-05-19 05:31:23	DEBUG	DDLDeployer	create table Pet(name varchar(255) not null, race varchar(255) not null, age integer not null, unique (name, race, age))
2026-05-19 05:31:23	DEBUG	DDLDeployer	alter table Cat add constraint FK_7d3b9729 foreign key(name, race, age) references Pet(name, race, age)
2026-05-19 05:31:23	DEBUG	DDLDeployer	alter table Dog add constraint FK_46d3d303 foreign key(name, race, age) references Pet(name, race, age)
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Pet(name, race, age) values (?, ?, ?) | {1={Pet.race=Dog, Pet.name=Pluto, Pet.age=4}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	insert into Cat(catBreed, name, race, age) values (?, ?, ?, ?) | {1={Cat.name=Pluto, Cat.catBreed=Persian, Cat.race=Dog, Cat.age=4}}
2026-05-19 05:31:23	DEBUG	JoinTablePolymorphismPersister	selecting entities [PetId{name='Pluto', race='Dog', age=4}]
2026-05-19 05:31:23	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND [org.codefilarete.stalactite.query.model.operator.TupleIn@428cbfa1]], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:23	TRACE	SQLOperation	select Pet.name as Pet_name, Pet.race as Pet_race, Pet.age as Pet_age, Cat.catBreed as Cat_catBreed, Cat.name as Cat_name, Cat.race as Cat_race, Cat.age as Cat_age, Dog.dogBreed as Dog_dogBreed, Dog.name as Dog_name, Dog.race as Dog_race, Dog.age as Dog_age from Pet left outer join Cat as Cat on Pet.name = Cat.name and Pet.race = Cat.race and Pet.age = Cat.age left outer join Dog as Dog on Pet.name = Dog.name and Pet.race = Dog.race and Pet.age = Dog.age where (Pet.name, Pet.race, Pet.age) in ((?, ?, ?)) | {1=Pluto, 2=Dog, 3=4}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:23	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.model.compositekey.Pet$Cat
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.m.c.Pet$Cat#PetId{name='Pluto', race='Dog', age=4}
2026-05-19 05:31:23	DEBUG	JoinTablePolymorphismPersister	selecting entities [PetId{name='Pluto', race='Dog', age=4}]
2026-05-19 05:31:23	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND [org.codefilarete.stalactite.query.model.operator.TupleIn@731898c7]], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:23	TRACE	SQLOperation	select Pet.name as Pet_name, Pet.race as Pet_race, Pet.age as Pet_age, Cat.catBreed as Cat_catBreed, Cat.name as Cat_name, Cat.race as Cat_race, Cat.age as Cat_age, Dog.dogBreed as Dog_dogBreed, Dog.name as Dog_name, Dog.race as Dog_race, Dog.age as Dog_age from Pet left outer join Cat as Cat on Pet.name = Cat.name and Pet.race = Cat.race and Pet.age = Cat.age left outer join Dog as Dog on Pet.name = Dog.name and Pet.race = Dog.race and Pet.age = Dog.age where (Pet.name, Pet.race, Pet.age) in ((?, ?, ?)) | {1=Pluto, 2=Dog, 3=4}
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:23	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.model.compositekey.Pet$Cat
2026-05-19 05:31:23	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.m.c.Pet$Cat#PetId{name='Pluto', race='Dog', age=4}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Cat where name = ? and race = ? and age = ? | {1={Cat.name=Pluto, Cat.race=Dog, Cat.age=4}}
2026-05-19 05:31:23	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Pet where name = ? and race = ? and age = ? | {1={Pet.race=Dog, Pet.name=Pluto, Pet.age=4}}
2026-05-19 05:31:23	TRACE	SQLOperation	select name from Pet | {}
2026-05-19 05:31:23	TRACE	SQLOperation	select catBreed from Cat | {}
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Cat where (name, race, age) in ((?, ?, ?)) | {Cat.name=Pluto, Cat.race=Dog, Cat.age=4}
2026-05-19 05:31:23	TRACE	SQLOperation	delete from Pet where (name, race, age) in ((?, ?, ?)) | {Pet.race=Dog, Pet.name=Pluto, Pet.age=4}
2026-05-19 05:31:23	TRACE	SQLOperation	select name from Pet | {}
2026-05-19 05:31:23	TRACE	SQLOperation	select catBreed from Cat | {}
]]></system-out>
  </testcase>
</testsuite>